# Artificial Intelligence for Games and Simulations

In this course we use Python 3.11. Running `pip install aigs`
in a clean Python 3.11 virtual environment should install all dependencies.
We are assuming that you have a basic understanding of Python and programming.

`labs/` contains exercises for the course, which you should do.
Being able to do the contents of `labs/` is a prerequisite
for being able making a successful final project.

I recommend cloning this repository, and making a folder `my/`
where you can put your own code (I will be updating this repository).

## Labs

1. [Math](labs/math.md)
2. Neural Networks ...
3. ...

### Core concept scripts

- `la.py` contains code for linear algebra exercises.
- `o.py` contains code for optimization exercises.
- `nn.py` contains code for neural network exercises.
- `rl.py` contains code for reinforcement learning exercises.
- `mcts.py` contains code for Monte Carlo Tree Search exercises.

### Advanced concept scripts

- `ne.py` contains code for natural evolution exercises.
- `ea.py` contains code for evolutionary algorithms exercises.
- `ma.py` contains code for multi-agent exercises.
- `vae.py` contains code for variational autoencoder exercises.
- `pcg.py` contains code for procedural content generation exercises.
